export = grabHostNames;
/**
 * @typedef {object} GrabHostNamesReturn
 * @property {string} host
 * @property {number | string} port
 * @property {typeof http | typeof https} scheme
 * @property {string | number} user_id
 */
/**
 *  # Grab Names For Query
 * @returns {GrabHostNamesReturn}
 */
declare function grabHostNames(): GrabHostNamesReturn;
declare namespace grabHostNames {
    export { GrabHostNamesReturn };
}
type GrabHostNamesReturn = {
    host: string;
    port: number | string;
    scheme: typeof http | typeof https;
    user_id: string | number;
};
import http = require("http");
import https = require("https");
